package com.tencent.liteav.demo.player.http

import android.content.Context
import android.os.Build
import com.tencent.liteav.demo.superplayer.util.HttpUtils
import okhttp3.Interceptor
import okhttp3.Response

class AuthorizationInterceptor : Interceptor {
    private var token: String? = null

    companion object {
        const val error = "{}"
    }

    override fun intercept(chain: Interceptor.Chain): Response {
        if (token == null) {
            val application = HttpUtils.getApplication()
            val sp =
                application.getSharedPreferences("FlutterSharedPreferences", Context.MODE_PRIVATE)

            token = sp.getString("flutter.token", null)
        }

        token =
            "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJhdWQiOiIxMzY0ODM1MjU0MDY0ODgxNjY1IiwiZXhwIjoxNjYyNjI2NjQ1fQ.z4kRUnx7RRwp0GCNjBofRazTse4VZXfdr8CAkECLosU"

        val newRequest = chain.request()
            .newBuilder()
            .addHeader("token", token ?: "")
            .build()

        return chain.proceed(newRequest)
    }
}